For the complete documentation index, see llms.txt. This page is also available as Markdown.

Auth Grants

Add AuthGrant to your profile

post

Add AuthGrant to your profile

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringOptional
descriptionstringOptional
scopestringOptional
expiresAtstring · date-time · nullableOptionalPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Responses
200

Successful response

application/json
stringOptional
post/auth-grant/create
POST /api/auth-grant/create HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "name": "text",
  "description": "text",
  "scope": "text",
  "expiresAt": "2026-01-01T00:00:00.000Z"
}
text

Get AuthGrant

get

Get AuthGrant

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successful response

application/json
idstringOptional
namestringOptional
descriptionstringOptional
challengestring · min: 10 · max: 100OptionalPattern: ^auth-grant:.*
statusstring · enumOptionalPossible values:
scopestringOptional
createdAtstring · date-timeOptionalPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
expiresAtstring · date-time · nullableOptionalPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
get/auth-grant/{id}
GET /api/auth-grant/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "description": "text",
  "challenge": "text",
  "status": "revoked",
  "scope": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "expiresAt": "2026-01-01T00:00:00.000Z"
}

Delete AuthGrant

delete

Delete AuthGrant

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successful response

application/json
booleanOptional
delete/auth-grant/{id}
DELETE /api/auth-grant/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
true

Get My AuthGrants

post

Get My AuthGrants

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
limitnumberOptional
cursorstringOptional
Responses
200

Successful response

application/json
idstringRequired
namestringRequired
descriptionstringOptional
challengestring · min: 10 · max: 100RequiredPattern: ^auth-grant:.*
statusstring · enumRequiredPossible values:
scopestringRequired
createdAtstring · date-timeRequiredPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
expiresAtstring · date-time · nullableOptionalPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
post/profile/auth-grants
POST /api/profile/auth-grants HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "limit": 1,
  "cursor": "text",
  "query": {
    "id": "text",
    "name": "text",
    "description": "text",
    "status": "active"
  }
}
[
  {
    "id": "text",
    "name": "text",
    "description": "text",
    "challenge": "text",
    "status": "revoked",
    "scope": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "expiresAt": "2026-01-01T00:00:00.000Z"
  }
]

Update AuthGrant

post

Update AuthGrant

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
Responses
200

Successful response

application/json
booleanOptional
post/auth-grant/update/{id}
POST /api/auth-grant/update/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "updates": {
    "name": "text",
    "description": "text"
  }
}
true

Revoke AuthGrant

post

Revoke AuthGrant

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successful response

application/json
booleanOptional
post/auth-grant/{id}/revoke
POST /api/auth-grant/{id}/revoke HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
true

Last updated

Was this helpful?